<p align="center">
<img src="//cdn.zuora.com/theme/0.6.0/assets/anjuna/anjuna-logo.svg"/>
<br/><br/>
</p>

# @anjuna/angular-meta-ui

The meta ui module contains a variety of pieces working with JSON schema based data. 
You may recognize it from it's previous life as ZAL Schema Form.

## Usage

Include the module in your application's package.json.

```bash
npm install @anjuna/angular-meta-ui
```

**NOTE** Don't forget the peer dependencies of @anjuna/core

Import the Angular module into your application module.

```typescript
import {AnjunaMetaUIModule} from '@anjuna/angular-meta-ui';

@NgModule({
    imports: [
        AnjunaMetaUIModule,
        // other imports
    ]
    // rest of module declaration
})
export class AppModule {}
```
