import { FormArray, FormControl, FormGroup } from '@angular/forms';
import { SchemaField } from './SchemaField';
export declare abstract class SchemaArray extends SchemaField {
    control: FormArray;
    content: string;
    timer: number;
    protected abstract acknowledgeChange(): void;
    protected abstract newItem(): FormControl | FormGroup;
    readonly controlArrayValue: any[];
    readonly formArray: FormArray;
    protected constructor();
    addRow(additionalRows?: number, insertPosition?: number): void;
    removeRow(index: number): void;
    atMaxItems(): boolean;
    atMinItems(): boolean;
    showToolTip(event: MouseEvent, popper: HTMLAnjPopoverElement, content: string): void;
    hideToolTip(popper: HTMLAnjPopoverElement): void;
    protected setArray(): void;
}
