import { BaseSchema } from './BaseSchema';
import { ParsedField } from '../models/ParsedField';
import { SchemaData, SchemaDefinition } from '../types/schema-form.types';
export declare abstract class SchemaControl extends BaseSchema {
    schema: SchemaDefinition;
    data: SchemaData;
    parsedFields: ParsedField[];
    protected handleChanges(): void;
    protected abstract initGroup(): void;
}
