import { FormGroup } from '@angular/forms';
import { ParsedField } from './ParsedField';
import { SchemaData, SchemaDefinition } from '../types/schema-form.types';
export declare class SchemaForm {
    readonly schema: SchemaDefinition;
    readonly data: SchemaData;
    readonly formGroup: FormGroup;
    readonly fields: {
        [key: string]: ParsedField;
    };
    fieldNames: string[];
    private formFields;
    constructor(schema: SchemaDefinition, data: SchemaData);
    private flattenFields;
    private findFormControl;
    private setFieldParents;
}
