export declare const translations: {
    en: {
        'is required.': string;
        'is not a valid date.': string;
        'Please select an option.': string;
        'must be at least': string;
        'must not be greater than': string;
        'must not have duplicate values.': string;
        'must have at least': string;
        'entries.': string;
        'characters.': string;
        'must adhere to a specific pattern': string;
        'must adhere to an email pattern (ex. name@domain.com)': string;
        'Add an item below': string;
        'Remove this item': string;
        'Add a row below': string;
        'Remove this row': string;
    };
    fr: {
        'is required.': string;
        'is not a valid date.': string;
        'Please select an option.': string;
        'must be at least': string;
        'must not be greater than': string;
        'must not have duplicate values.': string;
        'must have at least': string;
        'entries.': string;
        'characters.': string;
        'must adhere to a specific pattern': string;
        'must adhere to an email pattern (ex. name@domain.com)': string;
        'Add an item below': string;
        'Remove this item': string;
        'Add a row below': string;
        'Remove this row': string;
    };
    de: {
        'is required.': string;
        'is not a valid date.': string;
        'Please select an option.': string;
        'must be at least': string;
        'must not be greater than': string;
        'must not have duplicate values.': string;
        'must have at least': string;
        'entries.': string;
        'characters.': string;
        'must adhere to a specific pattern': string;
        'must adhere to an email pattern (ex. name@domain.com)': string;
        'Add an item below': string;
        'Remove this item': string;
        'Add a row below': string;
        'Remove this row': string;
    };
    ja: {
        'is required.': string;
        'is not a valid date.': string;
        'Please select an option.': string;
        'must be at least': string;
        'must not be greater than': string;
        'must not have duplicate values.': string;
        'must have at least': string;
        'entries.': string;
        'characters.': string;
        'must adhere to a specific pattern': string;
        'must adhere to an email pattern (ex. name@domain.com)': string;
        'Add an item below': string;
        'Remove this item': string;
        'Add a row below': string;
        'Remove this row': string;
    };
    es: {
        'is required.': string;
        'is not a valid date.': string;
        'Please select an option': string;
        'must be at least': string;
        'must not be greater than': string;
        'must not have duplicate values': string;
        'must have at least': string;
        'entries.': string;
        'characters.': string;
        'must adhere to a specific pattern': string;
        'must adhere to an email pattern (ex. name@domain.com)': string;
        'Add an item below': string;
        'Remove this item': string;
        'Add a row below': string;
        'Remove this row': string;
    };
};
