import { EventEmitter, OnChanges, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { SchemaGroup } from '../abstracts/SchemaGroup';
import { SchemaData, ParsedSchemaPayload } from '../types/schema-form.types';
export declare class SchemaGroupComponent extends SchemaGroup implements OnChanges, OnDestroy {
    valueChange: EventEmitter<SchemaData>;
    readonly classList: string;
    formGroup: FormGroup;
    private groupSubscription;
    constructor();
    ngOnChanges(): void;
    ngOnDestroy(): void;
    /**
     * @description initializes a schema group imperatively
     */
    initFormGroup([fields, group]: ParsedSchemaPayload): void;
    protected initGroup(): void;
}
