import { ChangeDetectorRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ColumnDefinition } from '@anjuna/core';
import { SchemaArray } from '../abstracts/SchemaArray';
import { ParsedField } from '../models/ParsedField';
export declare class SchemaTableComponent extends SchemaArray implements OnInit, OnChanges {
    changeRef: ChangeDetectorRef;
    localControlValue: any;
    private _label;
    label: string;
    readonly isField: boolean;
    _onRowAdd(event: CustomEvent): void;
    _onRowRemove(event: CustomEvent): void;
    readonly fieldItemPropertyHeaders: string[];
    readonly fieldItemPropertiesKeys: string[];
    constructor(changeRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getDataType(def: ParsedField): any;
    findIndex(fields: ParsedField[], c: ColumnDefinition): number;
    protected newItem(): FormGroup;
    protected acknowledgeChange(): void;
}
