import { ChangeDetectorRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { SchemaTableComponent } from '../schema-table/schema-table.component';
import { FormGroup } from '@angular/forms';
export declare class SchemaTierComponent extends SchemaTableComponent implements OnInit, OnChanges {
    constructor(changeRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    _onRowAdd(event: CustomEvent): void;
    tierToChange(index: number): void;
    addRow(additionalRows?: number, insertPosition?: number): void;
    protected newItem(): FormGroup;
    private refreshTiers;
}
