import { BaseSchema } from './BaseSchema';
import { SchemaPayload } from '../types/schema-form.types';
import { ParsedField } from '../models/ParsedField';
export declare abstract class SchemaGroup extends BaseSchema {
    groupClass: string;
    fieldClass: string;
    group: SchemaPayload;
    _fieldClass: string;
    _groupClass: string;
    parsedFields: ParsedField[];
    protected handleChanges(): void;
    protected abstract initGroup(): void;
}
