import { Renderer2, ElementRef, AfterViewInit, EventEmitter } from '@angular/core';
import { AbstractControl } from '@angular/forms';
import { SchemaField } from '../abstracts/SchemaField';
export declare class SchemaFieldComponent extends SchemaField implements AfterViewInit {
    private element;
    private renderer;
    control: AbstractControl;
    index: number;
    tierToChange: EventEmitter<number>;
    readonly isField: boolean;
    _onFieldChange(event: CustomEvent): void;
    constructor(element: ElementRef, renderer: Renderer2);
    ngAfterViewInit(): void;
}
