import { OnInit, ChangeDetectorRef } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { SchemaArray } from '../abstracts/SchemaArray';
import { ParsedField } from '../models/ParsedField';
/** @experimental */
export declare class SchemaListComponent extends SchemaArray implements OnInit {
    changeRef: ChangeDetectorRef;
    label: string;
    readonly isField: boolean;
    formGroup: FormGroup;
    parsedField: ParsedField;
    private _label;
    constructor(changeRef: ChangeDetectorRef);
    ngOnInit(): void;
    protected newItem(): FormControl;
    protected acknowledgeChange(): void;
}
